Bug 65918 - OOM killer triggered too late
OOM killer triggered too late
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-06-04 02:12 EDT by vvs
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
test case html page (145.32 KB, text/html)
2002-06-04 02:14 EDT, vvs
no flags Details

  None (edit)
Description vvs 2002-06-04 02:12:59 EDT
Description of Problem:

Same ol' VM tuning problem. System ran out of memory before process was killed
and it was not the offending process after all :-(

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. save the attached file
2. turn off swap file (it should happen with swap file as well, but better that
3. make sure you have unlimited virtual memory using ulimit -a
4. run Netscape Navigator 4.7x
5. turn off "Automatically load images" option in Edit/Preferences/Advanced
6. open previously saved file
7. wait couple of minutes (depends on how much RAM you have)

Actual Results:

The system ran out of memory and become virtually unresponsive for a six
minutes, then X server was killed.

Expected Results:

Well, at least it should not kill X server instead of Netscape Navigator. And it
would be nice if it did it before it ran out of memory.

Additional Information:
Imagine that some important process is running under X and someone launched
Netscape and opened some unfortunate Web page. You would get a DoS situation and
ultimately your important process would get killed. In this particular case
Netscape Navigator was the only process that actively consumed memory and it was
the process with largest pool of memory allocated. Of course that could be
avoided by setting ulimit -v, but it's really not necessary here.
Comment 1 vvs 2002-06-04 02:14:04 EDT
Created attachment 59485 [details]
test case html page
Comment 2 vvs 2002-06-04 09:06:20 EDT
After testing this once more I found that turning off image loading is not
enough, so to be safe turn off all other options on the same page as well.
Comment 3 Bugzilla owner 2004-09-30 11:39:39 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.